const users = require('./users')
const collections = require('./collections')
const { authorTeamID } = require('./teamIDs')

const { standardCollection } = collections
const { submittingAuthor } = users
const teams = {
  authorTeam: {
    teamType: {
      name: 'author',
      permissions: 'author',
    },
    group: 'author',
    name: 'author',
    object: {
      type: 'collection',
      id: standardCollection.id,
    },
    members: [submittingAuthor.id],
    save: jest.fn(() => teams.authorTeam),
    updateProperties: jest.fn(() => teams.authorTeam),
    id: authorTeamID,
  },
}
module.exports = teams
